%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           redhat-certification-cloud
Version:        3.4.1
Release:        1%{?dist}
Summary:        Client-side tests for Certified Cloud Provider Programme

Group:          Applications/System
License:        GPLv2
URL:            http://www.redhat.com/
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel, python-setuptools
Requires:       redhat-certification
Requires:       redhat-certification-commons
Requires:       secret-sos >= 0.2
Requires:       scap-security-guide, openscap-utils
Provides:       stsclient-cloud-plugin, ccp-client
Obsoletes:      stsclient-cloud-plugin, ccp-client

%description
Client-side tests for Certified Cloud Provider Programme

%prep
%setup -q

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README
%{python_sitelib}/rhcert/suites/cloud
%exclude %{python_sitelib}/rhcert/*.py*
%exclude %{python_sitelib}/rhcert/suites/*.py*
%{python_sitelib}/redhat_certification_cloud*egg-info

%changelog
* Mon Jul 25 2016 Chandan Kumar <chkumar@redhat.com> 3.4.1-1
- Renamed xccdf profile and path name
- Added openscap-utils as a dependency
- Bumped to version-3.4.1

* Mon Nov 16 2015 Shreyank Gupta <sgupta@redhat.com> 3.4-1
- Bump to version 3.4

* Tue Nov 10 2015 Shreyank Gupta <sgupta@redhat.com> 3.3-1
- Bump to version 3.3

* Wed Aug 26 2015 Shreyank Gupta <sgupta@redhat.com> 3.2-1
- Bump to version 3.2
- Requires secret-sos >= 0.2
- Requires scap-security-guide

* Tue Aug 25 2015 Shreyank Gupta <sgupta@redhat.com> 3.1-2
- Changing dependency from -sosreport to -commons

* Mon Apr 20 2015 Shreyank Gupta <sgupta@redhat.com> 3.1-1
- Bump to version 3.1

* Thu Mar 26 2015 Shreyank Gupta <sgupta@redhat.com> 3.0-3
- Change to /rhcert/suites/cloud added in %%files

* Wed Feb 25 2015 Shreyank Gupta <sgupta@redhat.com> 3.0-2
- Removed sts-log.spec and bindir from %%files

* Wed Feb 25 2015 Shreyank Gupta <sgupta@redhat.com> 3.0-1
- Requires redhat-certification-sosreport
- Requires secret-sos
- Bump to version 3.0

* Wed Feb 18 2015 Shreyank Gupta <sgupta@redhat.com> 2.1-1
- Fix SCAP test for el7
- Bump version to 2.1

* Tue Oct 21 2014 Shreyank Gupta <sgupta@redhat.com> 2.0-2
- Changed Requires from rhcert-client to redhat-certification

* Mon Sep 29 2014 Shreyank Gupta <sgupta@redhat.com> 2.0-1
- Changed package name to redhat-certification-cloud
- Added virt-what, libselinux-python to Requires
- Removed pyparted from Requires
- Added ccp-client to Provides and Obsoletes

* Fri Aug 8 2014 Shreyank Gupta <sgupta@redhat.com> 2.0.rc2-1
- Fixes broken yum-cli test for RHEL7

* Tue Aug 5 2014 Shreyank Gupta <sgupta@redhat.com> 2.0.rc-1
- binaries.py captures installed time for all packages
- Removes tests packager.py and packages.py
- Replace LSB release with platform module
- hypervisor.py fixed to generate proper XML
- Using iptables --list for firewall.py
- Using systemctl for service_status tests on RHEL 7
- updates.py returns valid test status

* Fri Jul 11 2014 Shreyank Gupta <sgupta@redhat.com> 2.0.beta-1
- Moved to rhcert test-harness based test API
- Moved Requires to the test's getRequiredRPMs.
- Changed test location from ccp_client -> rhcert/suites/cloud

* Fri Jun 20 2014 Shreyank Gupta <sgupta@redhat.com> 2.0.alpha-1
- Moving to rhcert test-harness based test API

* Thu Jun 12 2014 Shreyank Gupta <sgupta@redhat.com> 1.1-1
- Added three new tests.
- Added openscap-utils, scap-security-guide, virt-what to Requires

* Mon Apr 28 2014 Shreyank Gupta <sgupta@redhat.com> 1.0-2
- Remove python-stscommon from Requires.
- Provides and Obsoletes stsclient-cloud-plugin

* Wed Apr 23 2014 Shreyank Gupta <sgupta@redhat.com> 1.0-1
- Initial release.
